## pptp-linux 1.0.2

=== Makefile ===
VERSION = 1.0.2
VERSION_DEFINE = '-DPPTP_LINUX_VERSION="${VERSION}"'

CC	= gcc -Wall
DEBUG	= -g
INCLUDE =
CFLAGS  = -O9 $(VERSION_DEFINE) $(DEBUG) $(INCLUDE)
LIBS	=
LDFLAGS	=

#################################################################
# CHANGE THIS LINE to point to the location of your pppd binary.

CFLAGS += '-DPPPD_BINARY="/usr/sbin/pppd"'
#################################################################

PPTP_BIN = pptp
PPTP_OBJS = pptp.o pptp_gre.o ppp_fcs.o pty.o \
            pptp_ctrl.o dirutil.o vector.o \
            inststr.o util.o version.o
PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h pty.h util.h

CALLMGR_BIN = pptp_callmgr
CALLMGR_OBJS = pptp_callmgr.o pptp_ctrl.o dirutil.o util.o vector.o version.o
CALLMGR_DEPS = pptp_callmgr.h pptp_ctrl.h dirutil.h pptp_msg.h vector.h

all: $(PPTP_BIN) $(CALLMGR_BIN)

$(PPTP_BIN): $(PPTP_OBJS) $(PPTP_DEPS)
	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)

$(CALLMGR_BIN): $(CALLMGR_OBJS) $(CALLMGR_DEPS)
	$(CC) -o $(CALLMGR_BIN) $(CALLMGR_OBJS) $(LDFLAGS) $(LIBS)

vector_test: vector_test.o vector.o
	$(CC) -o vector_test vector_test.o vector.o

clean:
	$(RM) *.o *~

clobber: clean
	$(RM) $(PPTP_BIN) $(CALLMGR_BIN) vector_test

distclean: clobber
	$(RM) pptp-linux-*.tar.gz
	$(RM) -r pptp-linux-*

test: vector_test

dist: clobber
	$(RM) pptp-linux-$(VERSION).tar.gz
	$(RM) -r pptp-linux-$(VERSION)
	mkdir pptp-linux-$(VERSION)
	mkdir pptp-linux-$(VERSION)/Documentation
	mkdir pptp-linux-$(VERSION)/Reference
	cp \
AUTHORS COPYING INSTALL Makefile NEWS README TODO USING		\
dirutil.c dirutil.h inststr.c inststr.h ppp_fcs.c ppp_fcs.h	\
pptp.c pptp_callmgr.c pptp_callmgr.h pptp_ctrl.c pptp_ctrl.h	\
pptp_gre.c pptp_gre.h pptp_msg.h pptp_options.h			\
pty.c pty.h util.c util.h vector.c vector.h vector_test.c	\
version.c version.h \
  pptp-linux-$(VERSION)
	cp \
Documentation/DESIGN.CALLMGR	\
Documentation/DESIGN.PPTP	\
Documentation/PORTING	\
  pptp-linux-$(VERSION)/Documentation
	cp \
Reference/README	\
Reference/ms-chap.txt	\
Reference/pptp-draft.txt	\
Reference/rfc1661.txt	\
Reference/rfc1662.txt	\
Reference/rfc1701.txt	\
Reference/rfc1702.txt	\
Reference/rfc1990.txt	\
Reference/rfc791.txt	\
Reference/rfc793.txt	\
  pptp-linux-$(VERSION)/Reference
	tar czf pptp-linux-$(VERSION).tar.gz pptp-linux-$(VERSION)
	$(RM) -r pptp-linux-$(VERSION)

## pptp-linux 1.1.0

=== Makefile ===
VERSION = 1.1.0

#################################################################
# CHANGE THIS LINE to point to the location of your pppd binary.
PPPD = /usr/sbin/pppd
#################################################################

CC	= gcc
RM	= rm -f
DEBUG	= -g
INCLUDE =
CFLAGS  = -Wall -O1 $(DEBUG) $(INCLUDE)
LIBS	=
LDFLAGS	= -lutil

PPTP_BIN = pptp

PPTP_OBJS = pptp.o pptp_gre.o ppp_fcs.o \
            pptp_ctrl.o dirutil.o vector.o \
            inststr.o util.o version.o \
	    pptp_quirks.o orckit_quirks.o

PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h util.h \
	    pptp_quirks.h orckit_quirks.h config.h

all: config.h $(PPTP_BIN)

$(PPTP_BIN): $(PPTP_OBJS) $(PPTP_DEPS)
	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)

config.h: 
	echo "/* text added by Makefile target config.h */" > config.h
	echo "#define PPTP_LINUX_VERSION \"$(VERSION)\"" >> config.h
	echo "#define PPPD_BINARY \"$(PPPD)\"" >> config.h

vector_test: vector_test.o vector.o
	$(CC) -o vector_test vector_test.o vector.o

clean:
	$(RM) *.o

clobber: clean
	$(RM) $(PPTP_BIN) vector_test

distclean: clobber
	$(RM) pptp-linux-*.tar.gz
	$(RM) -r pptp-linux-*

test: vector_test

dist: clobber
	$(RM) pptp-linux-$(VERSION).tar.gz
	$(RM) -r pptp-linux-$(VERSION)
	mkdir pptp-linux-$(VERSION)
	mkdir pptp-linux-$(VERSION)/Documentation
	mkdir pptp-linux-$(VERSION)/Reference
	cp \
AUTHORS COPYING INSTALL Makefile NEWS README TODO USING		\
dirutil.c dirutil.h inststr.c inststr.h ppp_fcs.c ppp_fcs.h	\
pptp.c pptp_callmgr.c pptp_callmgr.h pptp_ctrl.c pptp_ctrl.h	\
pptp_gre.c pptp_gre.h pptp_msg.h pptp_options.h			\
util.c util.h vector.c vector.h vector_test.c	\
version.c version.h \
  pptp-linux-$(VERSION)
	cp \
Documentation/DESIGN.CALLMGR	\
Documentation/DESIGN.PPTP	\
Documentation/PORTING	\
  pptp-linux-$(VERSION)/Documentation
	cp \
Reference/README	\
Reference/ms-chap.txt	\
Reference/pptp-draft.txt	\
Reference/rfc1661.txt	\
Reference/rfc1662.txt	\
Reference/rfc1701.txt	\
Reference/rfc1702.txt	\
Reference/rfc1990.txt	\
Reference/rfc791.txt	\
Reference/rfc793.txt	\
  pptp-linux-$(VERSION)/Reference
	tar czf pptp-linux-$(VERSION).tar.gz pptp-linux-$(VERSION)
	$(RM) -r pptp-linux-$(VERSION)

## pptp-linux 1.5.0

=== Makefile ===
# $Id: Makefile,v 1.33 2004/06/22 08:09:55 quozl Exp $
VERSION=1.5.0
RELEASE=

#################################################################
# CHANGE THIS LINE to point to the location of your pppd binary.
PPPD = /usr/sbin/pppd
#################################################################

BINDIR=$(DESTDIR)/usr/sbin
MANDIR=$(DESTDIR)/usr/share/man/man8

CC	= gcc
RM	= rm -f
OPTIMIZE= -O0
DEBUG	= -g
INCLUDE =
CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
LIBS	= -lutil
LDFLAGS	=

PPTP_BIN = pptp

PPTP_OBJS = pptp.o pptp_gre.o ppp_fcs.o \
            pptp_ctrl.o dirutil.o vector.o \
            inststr.o util.o version.o \
	    pptp_quirks.o orckit_quirks.o pqueue.o pptp_callmgr.o

PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h util.h \
	    pptp_quirks.h orckit_quirks.h config.h pqueue.h

all: config.h $(PPTP_BIN)

$(PPTP_BIN): $(PPTP_OBJS) $(PPTP_DEPS)
	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)

config.h: 
	echo "/* text added by Makefile target config.h */" > config.h
	echo "#define PPTP_LINUX_VERSION \"$(VERSION)$(RELEASE)\"" >> config.h
	echo "#define PPPD_BINARY \"$(PPPD)\"" >> config.h

vector_test: vector_test.o vector.o
	$(CC) -o vector_test vector_test.o vector.o

clean:
	$(RM) *.o config.h

clobber: clean
	$(RM) $(PPTP_BIN) vector_test

distclean: clobber

test: vector_test

install:
	mkdir -p $(BINDIR)
	install -o root -m 555 pptp $(BINDIR)
	mkdir -p $(MANDIR)
	install -m 644 pptp.8 $(MANDIR)

uninstall:
	$(RM) $(BINDIR)/pptp $(MANDIR)/pptp.8

dist: clobber
	$(RM) pptp-linux-$(VERSION)$(RELEASE).tar.gz
	$(RM) -r pptp-linux-$(VERSION)
	mkdir pptp-linux-$(VERSION)
	cp --recursive ChangeLog Makefile *.c *.h pptp.8 Documentation \
Reference AUTHORS COPYING INSTALL NEWS README DEVELOPERS TODO USING \
	pptp-linux-$(VERSION)/
	$(RM) -r pptp-linux-$(VERSION)/CVS pptp-linux-$(VERSION)/*/CVS
	tar czf pptp-linux-$(VERSION)$(RELEASE).tar.gz pptp-linux-$(VERSION)
	$(RM) -r pptp-linux-$(VERSION)
	md5sum pptp-linux-$(VERSION)$(RELEASE).tar.gz

## pptp-linux 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.33 2004/06/22 08:09:55 quozl Exp $
-VERSION=1.5.0
+# $Id: Makefile,v 1.38 2005/03/10 01:18:20 quozl Exp $
+VERSION=1.7.0
 RELEASE=
 
 #################################################################
@@ -9,6 +9,7 @@
 
 BINDIR=$(DESTDIR)/usr/sbin
 MANDIR=$(DESTDIR)/usr/share/man/man8
+PPPDIR=$(DESTDIR)/etc/ppp
 
 CC	= gcc
 RM	= rm -f
@@ -57,18 +58,31 @@
 	install -o root -m 555 pptp $(BINDIR)
 	mkdir -p $(MANDIR)
 	install -m 644 pptp.8 $(MANDIR)
+	mkdir -p $(PPPDIR)
+	install -m 644 options.pptp $(PPPDIR)
 
 uninstall:
 	$(RM) $(BINDIR)/pptp $(MANDIR)/pptp.8
 
 dist: clobber
-	$(RM) pptp-linux-$(VERSION)$(RELEASE).tar.gz
-	$(RM) -r pptp-linux-$(VERSION)
-	mkdir pptp-linux-$(VERSION)
-	cp --recursive ChangeLog Makefile *.c *.h pptp.8 Documentation \
-Reference AUTHORS COPYING INSTALL NEWS README DEVELOPERS TODO USING \
-	pptp-linux-$(VERSION)/
-	$(RM) -r pptp-linux-$(VERSION)/CVS pptp-linux-$(VERSION)/*/CVS
-	tar czf pptp-linux-$(VERSION)$(RELEASE).tar.gz pptp-linux-$(VERSION)
-	$(RM) -r pptp-linux-$(VERSION)
-	md5sum pptp-linux-$(VERSION)$(RELEASE).tar.gz
+	$(RM) pptp-$(VERSION)$(RELEASE).tar.gz
+	$(RM) -r pptp-$(VERSION)
+	mkdir pptp-$(VERSION)
+	cp --recursive ChangeLog Makefile *.c *.h options.pptp pptp.8 \
+		Documentation Reference AUTHORS COPYING INSTALL NEWS \
+		README DEVELOPERS TODO USING \
+		pptp-$(VERSION)/
+	$(RM) -r pptp-$(VERSION)/CVS pptp-$(VERSION)/*/CVS
+	tar czf pptp-$(VERSION)$(RELEASE).tar.gz pptp-$(VERSION)
+	$(RM) -r pptp-$(VERSION)
+	md5sum pptp-$(VERSION)$(RELEASE).tar.gz
+
+deb:
+	chmod +x debian/rules 
+	fakeroot dpkg-buildpackage -us -uc
+	mv ../pptp_$(VERSION)-0_i386.deb .
+
+WEB=~/public_html/external/mine/pptp/pptpconfig
+release:
+	cp pptp_$(VERSION)-0_i386.deb $(WEB)
+	cd $(WEB);make

## pptp-linux 1.7.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.38 2005/03/10 01:18:20 quozl Exp $
-VERSION=1.7.0
+# $Id: Makefile,v 1.47 2008/05/14 06:32:52 quozl Exp $
+VERSION=1.7.2
 RELEASE=
 
 #################################################################
@@ -18,22 +18,30 @@
 INCLUDE =
 CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
 LIBS	= -lutil
+# Solaris 10
+# LIBS	= -lnsl -lsocket -lresolv
+# Solaris Nevada build 14 or above
+# LIBS    = -lnsl -lsocket
 LDFLAGS	=
 
 PPTP_BIN = pptp
 
 PPTP_OBJS = pptp.o pptp_gre.o ppp_fcs.o \
             pptp_ctrl.o dirutil.o vector.o \
-            inststr.o util.o version.o \
-	    pptp_quirks.o orckit_quirks.o pqueue.o pptp_callmgr.o
+	    inststr.o util.o version.o test.o \
+	    pptp_quirks.o orckit_quirks.o pqueue.o pptp_callmgr.o routing.o \
+	    pptp_compat.o
 
-PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h util.h \
-	    pptp_quirks.h orckit_quirks.h config.h pqueue.h
+PPTP_DEPS = pptp_callmgr.h pptp_gre.h ppp_fcs.h util.h test.h \
+	    pptp_quirks.h orckit_quirks.h config.h pqueue.h routing.h
 
-all: config.h $(PPTP_BIN)
+all: config.h $(PPTP_BIN) pptpsetup.8
 
 $(PPTP_BIN): $(PPTP_OBJS) $(PPTP_DEPS)
 	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)
+
+pptpsetup.8: pptpsetup
+	pod2man $? > $@
 
 config.h: 
 	echo "/* text added by Makefile target config.h */" > config.h
@@ -56,8 +64,10 @@
 install:
 	mkdir -p $(BINDIR)
 	install -o root -m 555 pptp $(BINDIR)
+	install -o root -m 555 pptpsetup $(BINDIR)
 	mkdir -p $(MANDIR)
 	install -m 644 pptp.8 $(MANDIR)
+	install -m 644 pptpsetup.8 $(MANDIR)
 	mkdir -p $(PPPDIR)
 	install -m 644 options.pptp $(PPPDIR)
 
@@ -69,8 +79,8 @@
 	$(RM) -r pptp-$(VERSION)
 	mkdir pptp-$(VERSION)
 	cp --recursive ChangeLog Makefile *.c *.h options.pptp pptp.8 \
-		Documentation Reference AUTHORS COPYING INSTALL NEWS \
-		README DEVELOPERS TODO USING \
+		pptpsetup Documentation AUTHORS COPYING INSTALL NEWS \
+		README DEVELOPERS TODO USING PROTOCOL-SECURITY \
 		pptp-$(VERSION)/
 	$(RM) -r pptp-$(VERSION)/CVS pptp-$(VERSION)/*/CVS
 	tar czf pptp-$(VERSION)$(RELEASE).tar.gz pptp-$(VERSION)

## pptp-linux 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
-# $Id: Makefile,v 1.47 2008/05/14 06:32:52 quozl Exp $
-VERSION=1.7.2
+# $Id: Makefile,v 1.51 2011/11/29 22:05:07 quozl Exp $
+VERSION=1.8.0
 RELEASE=
 
 #################################################################
-# CHANGE THIS LINE to point to the location of your pppd binary.
+# CHANGE THIS LINE to point to the location of binaries
 PPPD = /usr/sbin/pppd
+# Solaris
+# PPPD = /usr/bin/pppd
+IP = /bin/ip
 #################################################################
 
 BINDIR=$(DESTDIR)/usr/sbin
@@ -13,10 +16,12 @@
 
 CC	= gcc
 RM	= rm -f
-OPTIMIZE= -O0
+OPTIMIZE= -O -Wuninitialized
 DEBUG	= -g
 INCLUDE =
 CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
+# Solaris
+# CFLAGS +=  -D_XPG4_2 -D__EXTENSIONS__
 LIBS	= -lutil
 # Solaris 10
 # LIBS	= -lnsl -lsocket -lresolv
@@ -43,10 +48,13 @@
 pptpsetup.8: pptpsetup
 	pod2man $? > $@
 
-config.h: 
-	echo "/* text added by Makefile target config.h */" > config.h
-	echo "#define PPTP_LINUX_VERSION \"$(VERSION)$(RELEASE)\"" >> config.h
-	echo "#define PPPD_BINARY \"$(PPPD)\"" >> config.h
+config.h:
+	( \
+	echo "/* text added by Makefile target config.h */"; \
+	echo "#define PPTP_LINUX_VERSION \"$(VERSION)$(RELEASE)\""; \
+	echo "#define PPPD_BINARY \"$(PPPD)\""; \
+	echo "#define IP_BINARY \"$(IP)\"" \
+	) > config.h
 
 vector_test: vector_test.o vector.o
 	$(CC) -o vector_test vector_test.o vector.o
@@ -96,3 +104,71 @@
 release:
 	cp pptp_$(VERSION)-0_i386.deb $(WEB)
 	cd $(WEB);make
+
+# The following include file dependencies were generated using
+# "makedepend -w0 *.c", then manually removing out of tree entries.
+# DO NOT DELETE
+
+dirutil.o: dirutil.h
+orckit_quirks.o: pptp_msg.h
+orckit_quirks.o: pptp_compat.h
+orckit_quirks.o: pptp_options.h
+orckit_quirks.o: pptp_ctrl.h
+orckit_quirks.o: util.h
+ppp_fcs.o: ppp_fcs.h
+ppp_fcs.o: pptp_compat.h
+pptp.o: config.h
+pptp.o: pptp_callmgr.h
+pptp.o: pptp_gre.h
+pptp.o: pptp_compat.h
+pptp.o: version.h
+pptp.o: inststr.h
+pptp.o: util.h
+pptp.o: pptp_quirks.h
+pptp.o: pptp_msg.h
+pptp.o: pptp_ctrl.h
+pptp.o: pqueue.h
+pptp.o: pptp_options.h
+pptp_callmgr.o: pptp_callmgr.h
+pptp_callmgr.o: pptp_ctrl.h
+pptp_callmgr.o: pptp_compat.h
+pptp_callmgr.o: pptp_msg.h
+pptp_callmgr.o: dirutil.h
+pptp_callmgr.o: vector.h
+pptp_callmgr.o: util.h
+pptp_callmgr.o: routing.h
+pptp_compat.o: pptp_compat.h
+pptp_compat.o: util.h
+pptp_ctrl.o: pptp_msg.h
+pptp_ctrl.o: pptp_compat.h
+pptp_ctrl.o: pptp_ctrl.h
+pptp_ctrl.o: pptp_options.h
+pptp_ctrl.o: vector.h
+pptp_ctrl.o: util.h
+pptp_ctrl.o: pptp_quirks.h
+pptp_gre.o: ppp_fcs.h
+pptp_gre.o: pptp_compat.h
+pptp_gre.o: pptp_msg.h
+pptp_gre.o: pptp_gre.h
+pptp_gre.o: util.h
+pptp_gre.o: pqueue.h
+pptp_gre.o: test.h
+pptp_quirks.o: orckit_quirks.h
+pptp_quirks.o: pptp_options.h
+pptp_quirks.o: pptp_ctrl.h
+pptp_quirks.o: pptp_compat.h
+pptp_quirks.o: pptp_msg.h
+pptp_quirks.o: pptp_quirks.h
+pqueue.o: util.h
+pqueue.o: pqueue.h
+routing.o: routing.h
+test.o: util.h
+test.o: test.h
+util.o: util.h
+vector.o: pptp_ctrl.h
+vector.o: pptp_compat.h
+vector.o: vector.h
+vector_test.o: vector.h
+vector_test.o: pptp_ctrl.h
+vector_test.o: pptp_compat.h
+version.o: config.h

## pptp-linux 1.9.0%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Id: Makefile,v 1.51 2011/11/29 22:05:07 quozl Exp $
-VERSION=1.8.0
+VERSION=1.9.0
 RELEASE=
 
 #################################################################
@@ -19,7 +19,7 @@
 OPTIMIZE= -O -Wuninitialized
 DEBUG	= -g
 INCLUDE =
-CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
+# CFLAGS  = -Wall $(OPTIMIZE) $(DEBUG) $(INCLUDE)
 # Solaris
 # CFLAGS +=  -D_XPG4_2 -D__EXTENSIONS__
 LIBS	= -lutil
@@ -27,7 +27,7 @@
 # LIBS	= -lnsl -lsocket -lresolv
 # Solaris Nevada build 14 or above
 # LIBS    = -lnsl -lsocket
-LDFLAGS	=
+# LDFLAGS	=
 
 PPTP_BIN = pptp
 
@@ -46,7 +46,7 @@
 	$(CC) -o $(PPTP_BIN) $(PPTP_OBJS) $(LDFLAGS) $(LIBS)
 
 pptpsetup.8: pptpsetup
-	pod2man $? > $@
+	pod2man --section=8 $? > $@
 
 config.h:
 	( \
@@ -60,7 +60,7 @@
 	$(CC) -o vector_test vector_test.o vector.o
 
 clean:
-	$(RM) *.o config.h
+	$(RM) *.o config.h pptpsetup.8
 
 clobber: clean
 	$(RM) $(PPTP_BIN) vector_test

## pptp-linux 1.9.0+ds

=== debian/changelog ===
pptp-linux (1.9.0+ds-2) unstable; urgency=medium

  * Drop dependency on the full perl package, perl-base is sufficient
  * Forward to the latest upstream commit. Closes: #646880, #646881,
    #617285, #887370

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 15 Jan 2018 22:29:22 +0100

pptp-linux (1.9.0+ds-1) unstable; urgency=medium

  * New upstream version
  * New maintainer. Thanks Ola Lundqvist for handing over
  * Packaging cleanup:
    - Reformat debian/copyright in format 1.0
    - Change source format to 3.0 (quilt). Closes: #831032
    - Refresh patch queue, all but one was applied upstream
    - Change to debhelper 7 style debian/rules. Closes: #842769
    - Declare compliance with policy 3.9.8
    - Bump debhelper compat level to 10
    - Enable full hardening build
    - Remove obsolete dependency on binutils. Closes: #621912
    - Update watch file, check upstream's signature
    - No longer ship development-related and obsolete documentation

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 02 Jan 2017 22:34:27 +0100

pptp-linux (1.8.0-1) unstable; urgency=low

  * New upstream release. Closes: #741918.
  * Closes: #721963. Applied patch from Alexander Oelzant that solve a
    problem with simultaneous connections. Thanks to Yahor Zaleski
    <info@dserver.by> for pointing me to this patch.
  * Closes: #680455. Applied a patch to solve ubuntu bug 681617.
    This is a solution to a unresponsiveness problem when downloading things
    at high speed. Thanks to Michael Hudson-Doyle <michael.hudson@linaro.org>
    for this fix.
  * Closes: #569964. Minor documentation fix (path).

 -- Ola Lundqvist <opal@debian.org>  Thu, 28 May 2015 22:46:07 +0200

pptp-linux (1.7.2-7) unstable; urgency=low

  * Making this package linux specific as it is not known whether it
    works on BSD port and currently it is uninstallable on kFreeBSD
    port. Closes: #648361.

 -- Ola Lundqvist <opal@debian.org>  Mon, 19 Mar 2012 21:29:19 +0100

pptp-linux (1.7.2-6) unstable; urgency=low

  * Now depends on binutils. Closes: #587506.
  * Added ${misc:Depends} to the depends line as it uses debhelper.
  * Updated from debhelper compatibility 4 to 7.
  * Changed from dh_clean -k to dh_prep.
  * Updated to standards version 3.9.0 (from 3.8.0).

 -- Ola Lundqvist <opal@debian.org>  Sun, 05 Sep 2010 21:07:06 +0200

pptp-linux (1.7.2-5) unstable; urgency=low

  * Applied patch from Mats Erik Andersson
    <mats.andersson@gisladisker.se> that make sure that only IPv4
    addresses are returned from dns resolving. Is needed until IPv6
    support is available for this tool. Closes: #576671.

 -- Ola Lundqvist <opal@debian.org>  Wed, 16 Jun 2010 08:40:19 +0200

pptp-linux (1.7.2-4) unstable; urgency=low

  * Removed suggest for kernel-patch-mppe as that package has been
    removed. Closes: #564030.
  * Updated to standards version 3.8.0.
  * Updated debian/rules clean target to be lintian compliant.
  * Switched from DH_COMPAT in debian/rules to a compat file. Still version
    4 compatible.

 -- Ola Lundqvist <opal@debian.org>  Wed, 13 Jan 2010 08:32:28 +0100

pptp-linux (1.7.2-3) unstable; urgency=high

  * Instead of changing permissions after, make sure to set the proper
    umask. Closes: #523476.

 -- Ola Lundqvist <opal@debian.org>  Tue, 28 Apr 2009 06:47:47 +0200

pptp-linux (1.7.2-2) unstable; urgency=low

  * Make sure that the pptpsetup --delete option do not make passwords
    in chap-secrets file visible to anyone. Closes: #523476.

 -- Ola Lundqvist <opal@debian.org>  Sun, 12 Apr 2009 18:48:18 +0200

pptp-linux (1.7.2-1) unstable; urgency=low

  * New upstream release
  * This new release fixes crash according to upstream. Closes: #427586.
  * Updated copyright file according to changes in upstream file. This is
    just editorial changes. Also made it clear about who is the current
    maintainer.
  * This new version includes pptpsetup with man page. This should make the
    following bug obsolete. Closes: #167216.
  * Removed non-free document.
  * Updated to standards version 3.7.2.

 -- Ola Lundqvist <opal@debian.org>  Sun,  1 Jun 2008 20:54:10 +0200

pptp-linux (1.7.0-3) unstable; urgency=low

  * Updated description, closes: #473712.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Apr 2008 08:13:25 +0200

pptp-linux (1.7.0-2) unstable; urgency=low

  * Updated description on when you need mppe patch, closes: #360106.
  * Updated to debhelper 4 compatibility.
  * Updated to standards version 3.6.2.

 -- Ola Lundqvist <opal@debian.org>  Sat,  1 Apr 2006 11:35:32 +0200

pptp-linux (1.7.0-1) unstable; urgency=low

  * New upstream release, closes: #313319, #314824.
  * Created a debian/watch file to make it easier to update in the future.
  * Removed non-free documentation from the orig tarball.
    Reference/rfc* Reference/ms-chap.txt Reference/pptp-draft.txt
    Closes: #312366.

 -- Ola Lundqvist <opal@debian.org>  Sun, 25 Sep 2005 13:49:58 +0200

pptp-linux (1.5.0-5) unstable; urgency=low

  * Fixed version reference in README.Debian, closes: #267696.
    Also dded URL to upstream Debian howto.

 -- Ola Lundqvist <opal@debian.org>  Mon, 31 Jan 2005 21:08:40 +0100

pptp-linux (1.5.0-4) unstable; urgency=low

  * Fixed manpage issue with not quoted '-', closes: #264872.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Aug 2004 20:59:37 +0200

pptp-linux (1.5.0-3) unstable; urgency=low

  * Updated manpage so that it have options that is supported by pppd,
    closes: #264849.

 -- Ola Lundqvist <opal@debian.org>  Tue, 10 Aug 2004 20:06:03 +0200

pptp-linux (1.5.0-2) unstable; urgency=low

  * Updated package description so it do not say that you need to patch
    ppp.
  * Made a versioned dependency on ppp.

 -- Ola Lundqvist <opal@debian.org>  Fri,  6 Aug 2004 20:58:04 +0200

pptp-linux (1.5.0-1) unstable; urgency=low

  * New upstream release, closes: #241789.
  * Updated the README file to tell that it works with ppp in sarge
    and sid, closes: #243497.


=== debian/control ===
Source: pptp-linux
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://pptpclient.sourceforge.net/
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10~),
Priority: optional
Section: net

Package: pptp-linux
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    ppp,
Description: Point-to-Point Tunneling Protocol (PPTP) Client
 Client for the proprietary Microsoft Point-to-Point Tunneling
 Protocol, PPTP.  Allows connection to a PPTP based VPN as used
 by employers and some cable and ADSL service providers.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.signature/,repacksuffix=+ds,dversionmangle=s/\+ds$//" \
    https://qa.debian.org/watch/sf.php/pptpclient/ \
    pptp/pptp-(?:[0-9\.]+)/pptp-([0-9\.]+)\.tar\.(?:gz|xz)

## pptp-linux 1.10.0

=== debian/changelog ===
pptp-linux (1.10.0-2) unstable; urgency=medium

  * Support rootless build. Closes: #1089417
  * Cherry-pick some changes from upstream development.
    Closes: #1082224

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 08 Dec 2024 20:25:52 +0100

pptp-linux (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0. Closes: #907185

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 21:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pptp-linux
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://pptpclient.sourceforge.net/
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
 Priority: optional
+Rules-Requires-Root: no
 Section: net
 
 Package: pptp-linux

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.signature/" \
    https://quozl.linux.org.au/pptp/ \
    pptp-([0-9\.]+)\.tar\.(?:gz|xz)
